# Turn off the brp-python-bytecompile script
# This is needed to not generate /etc/restauth/localsettings.pyo and /etc/restauth/localsettings.pyc
%global __os_install_post %(echo '%{__os_install_post}' | sed -e 's!/usr/lib[^[:space:]]*/brp-python-bytecompile[[:space:]].*$!!g')

Name:           restauth
Version:        0.6.3
Release:        4%{?dist}
Summary:        Web-service providing shared authentication, authorization and preferences
Group:          Applications/Internet
License:        GPLv3+
URL:            https://server.restauth.net/
Source0:        https://server.restauth.net/download/%{name}-%{version}.tar.gz
# Put comments to empty files. Django needs them to be there...
Patch0:         restauth-0.5.2-empty-files.patch
BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-sphinx
BuildRequires:  python-setuptools
BuildRequires:  python-django
BuildRequires:  python-restauth-common
BuildRequires:  python-mimeparse

%description
Lightweight web-service that provides shared authentication, authorization
and preferences. RestAuth does not attempt to provide "one account
for the web" like OpenId or OAuth but instead allows multiple systems
to directly use the same user base, much like the way LDAP or Kerberos is
commonly used.

%package doc
Summary:        RestAuth Documentation
Group:          Documentation
Requires:       restauth = %{version}-%{release}

%description doc
Documentation for RestAuth

%prep
%setup -q -c
%patch0 -p1 -b .empty-files

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%{__python} setup.py build_man
%{__python} setup.py build_doc

%install
%{__python} setup.py install --skip-build --root %{buildroot}
rm -rf %{buildroot}/usr/share/doc/*

# setup.py does not install those files, but they are important
mkdir -p %{buildroot}%{_bindir}
mv %{buildroot}%{_bindir}/restauth-group.py %{buildroot}%{_bindir}/restauth-group
mv %{buildroot}%{_bindir}/restauth-import.py %{buildroot}%{_bindir}/restauth-import
mv %{buildroot}%{_bindir}/restauth-service.py %{buildroot}%{_bindir}/restauth-service
mv %{buildroot}%{_bindir}/restauth-user.py %{buildroot}%{_bindir}/restauth-user
mv %{buildroot}%{_bindir}/restauth-manage.py %{buildroot}%{_bindir}/restauth-manage

mkdir -p %{buildroot}%{_sysconfdir}/restauth
# config file should not be in /usr/... so we move it to /etc/restauth
# and create symlink to it in /usr/
mv %{buildroot}%{python_sitelib}/RestAuth/localsettings.py %{buildroot}%{_sysconfdir}/restauth/localsettings.py
ln -s %{_sysconfdir}/restauth/localsettings.py %{buildroot}%{python_sitelib}/RestAuth/localsettings.py

# man pages
mkdir -p %{buildroot}/%{_mandir}/man1
install -m 644 ./doc/_build/man/*.1 %{buildroot}/%{_mandir}/man1

# documentation
cp -a ./doc/_build/html .
rm -f ./html/\.buildinfo

# py_byte_compile files in python_sitelib manually
find %{buildroot}%{python_sitelib} -type f -a -name "*.py" -print0 | xargs -0 %{__python} -c 'import py_compile, sys; [py_compile.compile(f, dfile=f.partition("$RPM_BUILD_ROOT")[2]) for f in sys.argv[1:]]' || :
find %{buildroot}%{python_sitelib} -type f -a -name "*.py" -print0 | xargs -0 %{__python} -O -c 'import py_compile, sys; [py_compile.compile(f, dfile=f.partition("$RPM_BUILD_ROOT")[2]) for f in sys.argv[1:]]' || :

%files
%doc AUTHORS ChangeLog COPYING COPYRIGHT
%{python_sitelib}/*
%{_bindir}/*
%{_datadir}/restauth/
%{_mandir}/man*/*
%dir %{_sysconfdir}/restauth/
%config(noreplace) %attr(0644, root, root) %{_sysconfdir}/restauth/localsettings.py

%files doc
%doc html

%changelog
* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jun 03 2013 Jan Kaluza <jkaluza@redhat.com> - 0.6.3-2
- add python-mimeparse to BuildRequires

* Mon Jun 03 2013 Jan Kaluza <jkaluza@redhat.com> - 0.6.3-1
- update to upstream version 0.6.3

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Nov 28 2011 Jan Kaluza <jkaluza@redhat.com> - 0.5.2-3
- fixed rpmlint warnings

* Tue Nov 22 2011 Jan Kaluza <jkaluza@redhat.com> - 0.5.2-2
- added -doc package
- added man pages

* Wed Nov 02 2011 Jan Kaluza <jkaluza@redhat.com> - 0.5.2-1
- Initial version
